package com.acme.vcutil.supplier;

import com.acme.model.domain.sc.entity.Order;
import com.acme.model.domain.sc.entity.Service;
import com.acme.resource.ResourceHelper;
import com.acme.structure.util.ConversionUtil;
import com.acme.structure.util.datalist.SimpleStaticListSupplier;
import com.acme.structure.util.datalist.StaticData;

public class SellingStatusSupplier extends SimpleStaticListSupplier
{
    public SellingStatusSupplier(boolean blankItemApplied)
    {
        super(blankItemApplied);
    }

    public SellingStatusSupplier()
    {
        super();
    }
    public void loadList()
    {
        clearList();
        list.add(new StaticData(Service.SELLINGTATUS_ACTIVE, ResourceHelper.getStringResourceItem("SC", "sellingstatussupplier_active")));
        list.add(new StaticData(Service.SELLINGSTATUS_SOLDOUT, ResourceHelper.getStringResourceItem("SC", "sellingstatussupplier_soldout")));
        list.add(new StaticData(Service.SELLINGSTATUS_NOTAPPROPRIATETIME, ResourceHelper.getStringResourceItem("SC", "sellingstatussupplier_notappropriatetime")));
        list.add(new StaticData(Service.SELLINGSTATUS_NOTINSTOCK, ResourceHelper.getStringResourceItem("SC", "sellingstatussupplier_notinstock")));        
        itemList.addAll(ConversionUtil.getConvertedToSelectItemListWithStaticData(list, false));
    }

    public String getListName()
    {
        return "sellingstatuses";
    }

}
